## simple-obfs-0.0.5.tar.xz

=== libcork/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2015, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

cmake_minimum_required(VERSION 2.6)
set(PROJECT_NAME libcork)
set(RELEASE_DATE 2015-09-03)
project(${PROJECT_NAME})
enable_testing()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(ParseArguments)
find_package(Prereqs)
find_package(CTargets)

#-----------------------------------------------------------------------
# Retrieve the current version number

execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/version.sh
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE VERSION_RESULT
    OUTPUT_VARIABLE VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if(VERSION_RESULT)
    message(FATAL_ERROR
            "Cannot determine version number: " ${VERSION_RESULT})
endif(VERSION_RESULT)
# This causes an annoying extra prompt in ccmake.
# message("Current version: " ${VERSION})

string(REGEX REPLACE "-dev.*" "-dev" BASE_VERSION "${VERSION}")

if(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    set(VERSION_MAJOR "${CMAKE_MATCH_1}")
    set(VERSION_MINOR "${CMAKE_MATCH_2}")
    set(VERSION_PATCH "${CMAKE_MATCH_3}")
else(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    message(FATAL_ERROR "Invalid version number: ${VERSION}")
endif(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")

execute_process(
    COMMAND git rev-parse HEAD
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE GIT_SHA1_RESULT
    OUTPUT_VARIABLE GIT_SHA1
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(GIT_SHA1_RESULT)
    message(FATAL_ERROR
            "Cannot determine git commit: " ${GIT_SHA1_RESULT})
endif(GIT_SHA1_RESULT)

#-----------------------------------------------------------------------
# Check for building on Tilera
# If the Tilera environment is installed, then $TILERA_ROOT is defined
# as the path to the active MDE.

if(DEFINED ENV{TILERA_ROOT})
    set(TILERA TRUE)
    set(TILERA_ROOT $ENV{TILERA_ROOT})
    message("-- Configuring for Tilera MDE ${TILERA_ROOT}")
    set(ENV{PKG_CONFIG_PATH}
        "${TILERA_ROOT}/tile/usr/lib/pkgconfig:${TILERA_ROOT}/tile/usr/local/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}"
    )
    set(CMAKE_SYSTEM_NAME "Tilera")
    set(CMAKE_SYSTEM_PROCESSOR "tilegx")
    set(CMAKE_C_COMPILER "${TILERA_ROOT}/bin/tile-gcc")
    set(CMAKE_LINKER "${TILERA_ROOT}/bin/tile-ld")
    set(TILERA_MONITOR "${TILERA_ROOT}/bin/tile-monitor")
    #add_definitions(-std=gnu99)
    set(CMAKE_FIND_ROOT_PATH "${TILERA_ROOT}/tile")
    set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM ONLY)
    set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
    set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
endif()

#-----------------------------------------------------------------------
# Set some options

if(APPLE)
    if (NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
    endif (NOT CMAKE_INSTALL_NAME_DIR)
endif(APPLE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)

set(ENABLE_SHARED YES CACHE BOOL "Whether to build a shared library")
set(ENABLE_SHARED_EXECUTABLES NO CACHE BOOL
    "Whether to link executables using shared libraries")
set(ENABLE_STATIC YES CACHE BOOL "Whether to build a static library")

set(CMAKE_INSTALL_LIBDIR lib CACHE STRING
    "The base name of the installation directory for libraries")

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Clang")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Intel")
    add_definitions(-Wall -Werror)
endif(CMAKE_C_COMPILER_ID STREQUAL "GNU")

include(GNUInstallDirs)

#-----------------------------------------------------------------------
# Check for prerequisite libraries

find_package(Threads)
set(THREADS_LDFLAGS "${CMAKE_THREAD_LIBS_INIT}")
set(THREADS_STATIC_LDFLAGS "${CMAKE_THREAD_LIBS_INIT}")

#-----------------------------------------------------------------------
# Include our subdirectories

add_subdirectory(include)
add_subdirectory(share)
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(docs/old)

=== libcork/include/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2015, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/libcork/config/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/libcork/config/version.h
    ESCAPE_QUOTES @ONLY
)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
    FILES_MATCHING PATTERN "*.h")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcork/config/version.h
        DESTINATION include/libcork/config)

=== libcork/src/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2015, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

#-----------------------------------------------------------------------
# libcork

# Update the VERSION property below according to the following rules (taken from
# [1]):
#
# VERSION = current.revision.age
#
#   1. Start with a VERSION of `0.0.0` for each shared library.
#   2. Update VERSION only immediately before a public release of your software.
#      More frequent updates are unnecessary, and only guarantee that the
#      current interface number gets larger faster.
#   3. If the library source code has changed at all since the last update, then
#      increment `revision` (`c.r.a` becomes `c.r+1.a`).
#   4. If any interfaces have been added, removed, or changed since the last
#      update, increment `current`, and set `revision` to 0.
#   5. If any interfaces have been added since the last public release, then
#      increment `age`.
#   6. If any interfaces have been removed or changed since the last public
#      release, then set `age` to 0.
#
# Note that changing `current` means that you are releasing a new
# backwards-incompatible version of the library.  This has implications on
# packaging, so once an API has stabilized, this should be a rare occurrence.
#
# [1] http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info

add_c_library(
    libcork
    OUTPUT_NAME cork
    PKGCONFIG_NAME libcork
    VERSION 16.0.1
    SOURCES
        libcork/cli/commands.c
        libcork/core/allocator.c
        libcork/core/error.c
        libcork/core/gc.c
        libcork/core/hash.c
        libcork/core/ip-address.c
        libcork/core/mempool.c
        libcork/core/timestamp.c
        libcork/core/u128.c
        libcork/core/version.c
        libcork/ds/array.c
        libcork/ds/bitset.c
        libcork/ds/buffer.c
        libcork/ds/dllist.c
        libcork/ds/file-stream.c
        libcork/ds/hash-table.c
        libcork/ds/managed-buffer.c
        libcork/ds/ring-buffer.c
        libcork/ds/slice.c
        libcork/posix/directory-walker.c
        libcork/posix/env.c
        libcork/posix/exec.c
        libcork/posix/files.c
        libcork/posix/process.c
        libcork/posix/subprocess.c
        libcork/pthreads/thread.c
    LIBRARIES
        threads
)

if (ENABLE_SHARED OR ENABLE_SHARED_EXECUTABLES)
    set_target_properties(libcork-shared PROPERTIES
        COMPILE_DEFINITIONS CORK_API=CORK_EXPORT
    )
endif (ENABLE_SHARED OR ENABLE_SHARED_EXECUTABLES)

if (ENABLE_STATIC OR NOT ENABLE_SHARED_EXECUTABLES)
    set_target_properties(libcork-static PROPERTIES
        COMPILE_DEFINITIONS CORK_API=CORK_LOCAL
    )
endif (ENABLE_STATIC OR NOT ENABLE_SHARED_EXECUTABLES)


#-----------------------------------------------------------------------
# Utility commands

add_c_executable(
    cork-hash
    OUTPUT_NAME cork-hash
    SOURCES cork-hash/cork-hash.c
    LOCAL_LIBRARIES
        libcork
)

add_c_executable(
    cork-initializer
    SKIP_INSTALL
    OUTPUT_NAME cork-initializer
    SOURCES
        cork-initializer/init1.c
        cork-initializer/init2.c
        cork-initializer/main.c
    LOCAL_LIBRARIES
        libcork
)

add_c_executable(
    cork-test
    SKIP_INSTALL
    OUTPUT_NAME cork-test
    SOURCES cork-test/cork-test.c
    LOCAL_LIBRARIES
        libcork
)

=== APKBUILD ===
# Contributor: Max Lv <max.c.lv@gmail.com>
# Maintainer: Max Lv <max.c.lv@gmail.com>
pkgname=simple-obfs
pkgver=0.0.5
pkgrel=0
pkgdesc="Simple-obfs is a simple obfusacting tool, designed as plugin server of shadowsocks."
url="https://github.com/shadowsocks/simple-obfs"
arch="all"
license="GPLv3+"
makedepends="autoconf automake libtool linux-headers libev-dev asciidoc xmlto"
subpackages="$pkgname-doc"
builddir="$srcdir/$pkgname"

prepare() {
	cd "$srcdir"
	git clone "$url"
	cd "$builddir"
	git checkout "v$pkgver"
	git submodule update --init --recursive
}

build() {
	cd "$builddir"
	./autogen.sh
	./configure --prefix=/usr
	make
}

check() {
	cd "$builddir"
	make check
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
}
